<?php
$LIMPIAR=0;
$SYS_FOC="Noml";
//-------------------------------------------------------------------------+++
$Noml=V($_POST['Noml']);
$Nomc=V($_POST['Nomc']);		
$Dir=V($_POST['Dir']);
$feHab=V($_POST['feHab']);
$feNom=V($_POST['feNom']);
$feRuc=V($_POST['feRuc']);
$feDep=V($_POST['feDep']);
$fePrv=V($_POST['fePrv']);
$feDis=V($_POST['feDis']);
$feUbi=V($_POST['feUbi']);
$feDir=V($_POST['feDir']);
$feEma=V($_POST['feEma']);
//
$FeTipPrv=V($_POST['FeTipPrv']);
$FeTel=V($_POST['FeTel']);
$FeUsuPriNom=V($_POST['FeUsuPriNom']);
$FeUsuPriPas=V($_POST['FeUsuPriPas']);
$FeUsuSecNom=V($_POST['FeUsuSecNom']);
$FeUsuSecPas=V($_POST['FeUsuSecPas']);
$FeCerPas=V($_POST['FeCerPas']);
$FeCerFecVen=V($_POST['FeCerFecVen']);
$Fot=$_FILES['Foto']['name'];
$CerDig=$_FILES['CerDig']['name'];
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$Noml=gs("emp_noml","empresas","id_emp=$Id");		
	$Nomc=gs("emp_nomc","empresas","id_emp=$Id");		
	$Dir=gs("emp_dir","empresas","id_emp=$Id");	
	$feHab=gs("emp_fe_ele","empresas","id_emp=$Id");	
	$feNom=gs("emp_fe_nom_com","empresas","id_emp=$Id");	
	$feRuc=gs("emp_fe_ruc","empresas","id_emp=$Id");	
	$feDep=gs("emp_fe_dep","empresas","id_emp=$Id");	
	$fePrv=gs("emp_fe_prv","empresas","id_emp=$Id");	
	$feDis=gs("emp_fe_dis","empresas","id_emp=$Id");	
	$feUbi=gs("emp_fe_ubi","empresas","id_emp=$Id");	
	$feDir=gs("emp_fe_dir","empresas","id_emp=$Id");	
	$feEma=gs("emp_fe_ema","empresas","id_emp=$Id");
	//
	$FeTipPrv=gs("emp_fe_proveedor","empresas","id_emp=$Id");
	$FeTel=gs("emp_fe_tlf","empresas","id_emp=$Id");
	$FeUsuPriNom=gs("emp_fe_usu_pri_nom","empresas","id_emp=$Id");
	$FeUsuPriPas=gs("emp_fe_usu_pri_pas","empresas","id_emp=$Id");
	$FeUsuSecNom=gs("emp_fe_usu_sec_nom","empresas","id_emp=$Id");
	$FeUsuSecPas=gs("emp_fe_usu_sec_pas","empresas","id_emp=$Id");
	$FeCerPas=gs("emp_fe_cert_pas","empresas","id_emp=$Id");
	$FeCerFecVen=gs("emp_fe_cert_fec_ven","empresas","id_emp=$Id");
	$FILE_LOGO="";
	$FILE_CERT="";
	//	
	$SYS_FOC="Noml";	
}

//-------------------------------------------------------------------------
if($StrCmd=="G"){
	if(GetC("empresas","emp_noml='$Noml'")>0){		
		$SYS_MSG="Nombre de la empresa ya esta registrado";
		$SYS_FOC="Noml";
		$OK=0;
	}
	if($OK==1){
		if(strlen($Nomc)>0){
			if(GetC("empresas","emp_nomc='$Nomc'")>0){		
				$SYS_MSG="Nombre corto de la empresa ya esta registrado";
				$SYS_FOC="Nomc";
				$OK=0;
			}
		}
	}
	//
	if($OK==1){
		$Id=GenId("id_emp","empresas");
		$s="INSERT INTO empresas 
			VALUES ($Id,'$Noml','$Nomc','$Dir',
			'$feHab','$feNom','$feRuc','$feDep',
			'$fePrv','$feDis','$feUbi',
			'$feDir','$feEma',
			'$FeTipPrv','$FeTel','$FeUsuPriNom','$FeUsuPriPas',
			'$FeUsuSecNom','$FeUsuSecPas','$FeCerPas',
			'$FeCerFecVen','$FILE_LOGO','$FILE_CERT')";
		ejt($s);
		//echo $s."<br>";
		//
		if(strlen($Fot)>0){
			$R=ADJ_ADD("Foto","emp");
			$s="UPDATE empresas SET emp_fe_logo='$R' WHERE id_emp=$Id";
			ejt($s);
		}	
		if(strlen($CerDig)>0){
			unlink("CERTIFICADO".$Id.".pfx");
			//		
			$CerNom="CERTIFICADO".$Id.".pfx";
			if (move_uploaded_file($_FILES['CerDig']['tmp_name'], $CerNom)){}
		}
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","EMPRESAS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos Guardados";
		$SYS_FOC="Noml";		
		$LIMPIAR=1;
	}
}
//-------------------------------------------------------------------------
if($StrCmd=="M"){
	if(GetC("empresas","emp_noml='$Noml' AND id_emp<>$StrId")>0){
		$SYS_MSG="Nombre de la empresa ya esta registrado";
		$SYS_FOC="Noml";
		$OK=0;
	}
	if($OK==1){
		if(strlen($Nomc)>0){
			if(GetC("empresas","emp_nomc='$Nomc' AND id_emp<>$StrId")>0){		
				$SYS_MSG="Nombre corto de la empresa ya esta registrado";
				$SYS_FOC="Nomc";
				$OK=0;
			}
		}
	}
	//
	if($OK==1){
		$s="UPDATE empresas SET emp_noml='$Noml',
			emp_nomc='$Nomc',emp_dir='$Dir',
			emp_fe_ele='$feHab',
			emp_fe_nom_com='$feNom',
			emp_fe_ruc='$feRuc',
			emp_fe_dep='$feDep',
			emp_fe_prv='$fePrv',
			emp_fe_dis='$feDis',
			emp_fe_ubi='$feUbi',
			emp_fe_dir='$feDir',
			emp_fe_ema='$feEma',
			emp_fe_proveedor='$FeTipPrv',
			emp_fe_tlf='$FeTel',
			emp_fe_usu_pri_nom='$FeUsuPriNom',
			emp_fe_usu_pri_pas='$FeUsuPriPas',
			emp_fe_usu_sec_nom='$FeUsuSecNom',
			emp_fe_usu_sec_pas='$FeUsuSecPas',
			emp_fe_cert_pas='$FeCerPas',
			emp_fe_cert_fec_ven='$FeCerFecVen'			
			WHERE id_emp=$StrId";	
		ejt($s);
		//
		if(strlen($Fot)>0){
			$T_IMG=gs("emp_fe_logo","empresas","id_emp=$StrId");
			ADJ_KIL($T_IMG);	
			//	
			$R=ADJ_ADD("Foto","emp");
			$s="UPDATE empresas SET emp_fe_logo='$R' WHERE id_emp=$StrId";
			ejt($s);
		}
		//
		if(strlen($CerDig)>0){
			unlink("CERTIFICADO".$StrId.".pfx");
			//
			$CerNom="CERTIFICADO".$StrId.".pfx";
			if (move_uploaded_file($_FILES['CerDig']['tmp_name'], $CerNom)){}
		}
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","EMPRESAS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT
		$SYS_MSG="Datos Actualizados";
		$SYS_FOC="Noml";
		$LIMPIAR=1;
	}
}
//-------------------------------------------------------------------------
if($StrCmd=="E"){		
	if(gn("count(*)","almacenes","alm_id_empresa=$StrId")>0){
		$SYS_MSG="Una o mas almacenes relacionadas";
		$SYS_FOC="Noml";
		$OK=0;
	}
	//
	if($OK==1){
		unlink("CERTIFICADO".$StrId.".pfx");
		//
		$T_IMG=gs("emp_fe_logo","empresas","id_emp=$StrId");
		ADJ_KIL($T_IMG);	
		//
		$s="DELETE FROM empresas WHERE id_emp=$StrId";	
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","EMPRESAS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT		
		$SYS_MSG="Datos Eliminados";
		$SYS_FOC="Noml";
		$LIMPIAR=1;
	}		
}
//-------------------------------------------------------------------------
if($StrCmd=="L"){
	$LIMPIAR=1;
}
//-------------------------------------------------------------------------
if($LIMPIAR==1){
	$StrId="";
	$Noml="";
	$Nomc="";
	$Dir="";
	$feHab="NO";
	$feNom="";
	$feRuc="";
	$feDep="";
	$fePrv="";
	$feDis="";
	$feUbi="";
	$feDir="";
	$feEma="";
	$OK=0;
	//
	$FeTipPrv="";
	$FeTel="";
	$FeUsuPriNom="";
	$FeUsuPriPas="";
	$FeUsuSecNom="";
	$FeUsuSecPas="";
	$FeCerPas="";
	$FeCerFecVen="";
	$Fot="";
	$CerDig="";
}
//-------------------------------------------------------------------------
?>